libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Heliocentric time

## Functions
double | ln_get_heliocentric_time_diff (double JD, struct ln_equ_posn *object)
| Calculate approximate heliocentric (barycentric) time correction for given date and object. More...

## Detailed Description

## Function Documentation

double ln_get_heliocentric_time_diff | ( | double | JD,
|  | struct ln_equ_posn * | object
| ) |  |

Calculate approximate heliocentric (barycentric) time correction for given date and object.

Parameters

  JD | Julian day
  object | Pointer to object (RA, DEC) for which heliocentric correction will be caculated

Returns
  Heliocentric correction in fraction of day

Calculate heliocentric corection for object at given coordinates and on given date.

References ln_equ_posn::dec, ln_nutation::ecliptic, ln_helio_posn::L, ln_deg_to_rad(), ln_get_earth_helio_coords(), ln_get_nutation(), ln_range_degrees(), ln_helio_posn::R, and ln_equ_posn::ra.